React is undefined


#1

Upgrading Reaction Commerce from 1.4.x to 1.5.x with rc run I’m getting:

TypeError: require(...).__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED is undefined

I found imports/plugins/core/ui/client/helpers/react-template-helper.js where React is mainly being loaded I think. Any ideas what could be missing here?


This question has also been posted on Stack Overflow:


#2

So no one else is seeing this error when running Reaction. Can you share any more specifics about what you are doing that would be different from a stock Reaction?


#3

Hi @brent, pardon I meant I’m upgrading Reaction Commerce 1.4.x to 1.5.x and am getting this.
Will provide more info/update later.